function namelist = getNameList(list);
%% ===========================================================================
%getNameList - Gets all available names in a list.
%
% Parameter:    list	        The list to be searched
% Returns:      namelist	A list of strings (with the names)
%
% Example(s):
%   scen = getNameList(gui.ttlist); returns an array of strings containing available 
%   names
%
% Algorithmic details:
%
% Reference:
%    FSAN xDSL simulation tool manual
%% ===========================================================================

%% ===========================================================================
% Copyright (C) 1999 by Telia Research AB, Lulea, Sweden; All rights reserved. 
% Project       : FSAN duplex model
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: getNameList.m,v 1.6 2000/03/13 14:04:17 tono Exp $
%% ===========================================================================
% Change History
%      1999-02-26 (ToNo) Created
%% ===========================================================================

for i=1:length(list),
    cells(i)={list(i).name};
end
namelist=str2mat(char(cells));
