function methods = getPBOmethods();
%% ===========================================================================
%getPBOmethods - Gets all available PBO methods for FSAN duplex experiments.
%
% Returns:      methods	Structure describing the PBO selectable from GUI
%
% Example(s):
%   scen = getPBOmethods; returns an array of strings containing available 
%   scenario names
%
% Algorithmic details:
%
% Reference:
%    FSAN xDSL simulation tool manual
%% ===========================================================================

%% ===========================================================================
% Copyright (C) 1999 by Telia Research AB, Lulea, Sweden; All rights reserved. 
% Project       : FSAN duplex model
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: getPBOmethods.m,v 1.7 2000/04/04 08:26:45 tono Exp $
%% ===========================================================================
% Change History
%      1998-12-16 (ToNo) Created
%      1999-03-11 (DaB) Added new PBO methods
%% ===========================================================================

% This list was generated by running the following (on unix):
% sed s/%.\*// evalPBO.m | grep case | perl "-F'" -nae 'print "'\''",@F[1],"'\'', ...", "\n";'
% Note that one need to remove the last "," from the result

methods = str2mat( ...
'None', ...
'RefLen', ...
'RefFEXT', ...
'RefNoise', ...
'RefFreq' ...
);

% 'RefLenM', ...
% 'RefFreqM', ...
