function retval=makeUFplan(grid,plan);
%% ===========================================================================
% makeUFplan - Make universal frequency plan out of grid and plan
%
% Parameter:    grid	The requency grid
% Parameter:    plan	The frequency plan
% Returns:      retval	Struct with plan
%
%% ===========================================================================

%% ===========================================================================
% Copyright (C) 1999 by Telia Research AB, Lulea, Sweden; All rights reserved. 
% Project       : FSAN simulation tool
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: makeUFplan.m,v 1.3 2000/03/10 13:45:59 tono Exp $
%% ===========================================================================
% Change History
%      1999-08-31 (ToNo) Created
%% ===========================================================================
if nargin<2,
   error('To few arguments');
end


if length(grid) ~= length(plan)+1,
    error('makeUFplan: length missmatch');
end;

retval={};
for i=1:length(plan),
    retval{(i-1)*2+1}= grid(i);
    retval{i*2}=plan(i);
end;

retval{i*2+1}=grid(length(grid));
