function newtt=setTT(tt,xDSLlist)
%setTT - replaces generic DSL with specific implementation as defined in xDSLlist
%
% Parameter:    tt         Topology structure
% Parameter:    xDSLlist   DSL mapping list
% Returns:      newtt      Modified topology structure
%
% Example(s):

%
%% ===========================================================================

%% ===========================================================================
% Copyright (C) 1999 by Telia Research AB, Lulea, Sweden; All rights reserved. 
% Project       : FSAN duplex model
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: setTT.m,v 1.5 2000/05/03 11:28:50 tono Exp $
%% ===========================================================================
% Change History
%      1999-12-01 (DaB) Created
%      2000-02-17 (GS)  The second input argument ('X') in 'size(xDSLlist,X)'
%                       was changed to the value of 2 because each of
%                       the systems to be investigated should be
%                       represented by their specific PSD's and not
%                       only by their generic name definitions.
%% ===========================================================================

newtt=tt;
len_a=size(xDSLlist,2);
len_b=size(tt.traffic,1);

for a=1:len_a,
  test=xDSLlist(a).name;
  for b=1:len_b,
    name=tt.traffic{b,3};
    if strcmp(test,name),
       newtt.traffic{b,3}=xDSLlist(a).used;
    end;
  end;
end;
