% The xDSL definitions
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Functions to set up experiments
%
%  ETSI_VDSL_defs       Set up "everything" for an ETSI VDSL experiment
%  ANSI_VDSL_defs       Set up "everything" for an ANSI VDSL experiment
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Functions for defining cables
%
%   etsi_cables         Define cables used in ETSI (and ANSI)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Functions for defining loops
%
%   ansi_loops          Defines ANSI VDSL loops
%   etsi_loops          Defines ETSI VDSL loops
%   fsan_loops          Defines FSAN VDSL loops
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Functions for defining noise
%
%   ansi_noise          Defines ANSI noise tfplans
%   fsan_noise          Defines ETSI noise tfplans
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Functions for defining tfplans
%
%   ansi_tfplanHAM      Define ANSI HAM band tfpplan
%   etsi_tfplanHAM      Define ETSI HAM band tfpplan
%   itu_tfplanHAM       Define ITU HAM band tfpplan
%   etsi_tfplansVDSL    Define ETSI VDSL tfpplans
%   fsan_tfplansVDSL    Define FSAN VDSL tfpplans
%   fsan_tfplansMISC    Define standard "alien" tfpplans
%   itu_tfplistsMISC    Define standard "alien" tfpplans
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Functions for defining linecode specifics
%
%   etsi_lcdefs         Set up lc models for ETSI VDSL
%   fsan_lcdefs         Set up lc models for ADSL
%   lcDefADSLDMT        Define lc model for ADSL DMT
%   lcDefVDSLDMT        Define lc model for VDSL DMT
%   lcDefVDSLSCM        Define lc model for VDSL SCM
%   lcPrintDMT          Print DMT lc model
%   lcPrintSCM          Print SCM lc model
%   lcPrintTheo         Print Theo lc model
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Functions for defining PSD masks
%
%   etsi_PSDmasks       Defines the PSD masks for ETSI VDSL
%   etsi_PSDmasksSCM    Sets up the SCM PSD masks according to ETSI VDSL part 2
%   modelPSD_HDSL       Defines a function that models HDSL PSD
%   modelPSD_ISDN_PRA   Defines a function that models ISDN PRA PSD
%   modelPSD_T1         Defines a function that models T1 PSD
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Misc
%  Content  		This file

%% ===========================================================================
% Copyright (C):
%       2000 by FTW, Wien, Austria;
%                                                         All rights reserved.
% Description   : The contents of the xdsldefs directory
%
% File          : Content.m
% Project       : FSAN duplex model
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%
% CVS:       $Id: Contents.m,v 1.1 2000/09/17 14:01:48 tono Exp $
%% ===========================================================================
% Change History
%      2000-09-17 (ToNo) Created
%% ===========================================================================
