%% ===========================================================================
% Copyright (C):                                        
%       1999-2000 by Telia Research AB, Lulea, Sweden;                
%       2000 by Forschungszentrum Telekommunikation Wien, Austria;
%                                                         All rights reserved.
% 
% Description   : Define things for ETSI defaults
%
% File          : ETSIdefinitions.m
% Project       : FSAN simulator
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: ETSI_VDSL_defs.m,v 1.4 2000/07/12 09:13:06 tono Exp $
%% ===========================================================================

%% ===========================================================================
% Change History
%      1999-10-25 (ToNo) Created
%      2000-03-30 (ToNo) Removed everything with gui
%      2000-04-05 (UvAn) New return value from etsi_tfplanHAM
%% ===========================================================================
global ex;

%% ===========================================================================
% ETSI default inclusions

ex.param    = setupParam;                       % Parameters

[ex.tfplist, ex.param.HAMBandName] = ...
	etsi_tfplanHAM([]);                          % Need a HAM band definition
ex.tfplist  = fsan_tfplansMISC(ex.tfplist);     % Get plans for alien noise
ex.tfplist  = fsan_noise(ex.tfplist);		      % Get FSAN noise models
ex.tfplist  = etsi_PSDmasks(ex.tfplist);        % Get ETSI VDSL PSD masks
ex.tfplist  = etsi_tfplansVDSL(ex.tfplist);     % Get ETSI VDSL plans

ex.lclist   = setupLClist;                      % Line code definition (theoretical)
ex.lclist   = fsan_lcdefs(ex.lclist);           % Line code definitions (ADSL)
ex.lclist   = etsi_lcdefs(ex.lclist);           % ETSI Line code definitions (VDSL)

ex.clist    = etsi_cables([]);                  % Get ETSI (and ANSI) cables;

etsi_goals;		                        % Get ETSI rate and reach goals

