function lclist = etsi_lcdefs(lclist);
%% ===========================================================================
%etsi_lcdefs(lclist) - Sets up the tfplan for ETSI HAM band
%
% Parameter:    lclist	        Structure describing line code dependent stuff
% Returns:      lclist		Structure describing line code dependent stuff
%
% Example(s):
%   ex.lclist = etsi_lcdefs(ex.lclist);            Add to existing lclist
%   lc = getList(ex.lclist,'VDSL-SCM');            Get SCM line code stuff
%
%   ex.lclist = etsi_lcdefs([]);                   Create a new lclist
%   lc = getList(ex.lclist,'VDSL-DMT');            Get DMT line code stuff
%
% Reference:
%   ETSI VDSL TM-06003-2 V0.0.5 (1999-06)
%% ===========================================================================

%% ===========================================================================
% Copyright (C) 1999 by Telia Research AB, Lulea, Sweden; All rights reserved. 
% Project       : FSAN duplex model
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: etsi_lcdefs.m,v 1.5 2000/03/30 13:02:35 tono Exp $
%% ===========================================================================
% Change History
%      1999-10-25 (ToNo) Created
%      1999-11-04 (ToNo) Made it into a function
%% ===========================================================================

% VDSL DMT params
tmp_lc=lcDefVDSLDMT;   %'VDSL-DMT'
lclist=insertList(lclist,tmp_lc);

% VDSL SCM params
tmp_lc=lcDefVDSLSCM;   %'VDSL-SCM'
lclist=insertList(lclist,tmp_lc);
