function lclist = fsan_lcdefs(lclist);
%% ===========================================================================
%fsan_lcdefs(lclist) - Sets up the tfplan for ETSI HAM band
%
% Parameter:    lclist	        Structure describing line code dependent stuff
% Returns:      lclist		Structure describing line code dependent stuff
%
% Example(s):
%   ex.lclist = fsan_lcdefs(ex.lclist);       Add to existing lclist
%   lc = getList(ex.lclist,'ADSL_DMT');       Get ADSL DMT line code stuff
%
%   ex.lclist = fsan_lcdefs([]);              Create a new lclist
%   lc = getList(ex.lclist,'ADSL-DMT');       Get ADSL DMT line code stuff
%
% Reference:
%% ===========================================================================

%% ===========================================================================
% Copyright (C) 1999 by Telia Research AB, Lulea, Sweden; All rights reserved. 
% Project       : FSAN duplex model
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: fsan_lcdefs.m,v 1.2 2000/05/03 11:38:43 tono Exp $
%% ===========================================================================
% Change History
%      1999-10-26 (ToNo) Created
%      1999-11-04 (ToNo) Made it into a function
%% ===========================================================================

% ADSL DMT params
tmp_lc=lcDefADSLDMT; %'ADSL-DMT'
lclist=insertList(lclist,tmp_lc);
