function lcPrintDMT(lc);
%% ===========================================================================
%lcPrintDMT - Print the lincode description structure for DMT
%
% Parameter:    lc     Line code structure to print
%
% Reference:
%    FSAN xDSL simulation tool manual
%% ===========================================================================

%% ===========================================================================
% Copyright (C) 1999 by Telia Research AB, Lulea, Sweden; All rights reserved. 
% Project       : FSAN duplex model
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: lcPrintDMT.m,v 1.2 2000/04/11 08:10:04 dab Exp $
%% ===========================================================================
% Change History
%      1999-10-12 (ToNo) Created
%      2000-01-12 (DaB)  Modified
%      2000-04-04 (Dab)  added signal margin
%% ===========================================================================
fprintf('Line code name: %s\n',lc.name);


fprintf('SNR ref=%gdB, xtalk_margin=%gdB, signal_margin=%gdB, coding gain=%gdB, loss=%gdB, SNRmax=%gdB\n',...
lc.param.refSNR,...
lc.param.xtalk_margin,...
lc.param.signal_margin,...
lc.param.codingGain,...
lc.param.SNRloss,...
lc.param.SNRMax);

fprintf('Maximum Power=%g dBm \n',lc.param.Px);

% Param digital
fprintf('Sample rate=%gMHz, carriers=%d, spacing=%gkHz\n',...
lc.param.fs/1e6     ,...
lc.param.dmt.carriers,...
lc.param.dmt.df/1e3);

fprintf('DMT structure cp=%d, cs=%d, my=%d, beta=%d => Efficiency Loss=%2.2f%%\n',...
lc.param.dmt.cp ,...
lc.param.dmt.cs ,...
lc.param.dmt.my ,...
lc.param.dmt.beta,...
lc.param.efficiencyLoss*100);
          
fprintf('Constellation sizes between %d and %d\n',...
min(lc.param.constellation),max(lc.param.constellation));

