function lcPrintSCM(lc);
%% ===========================================================================
%lcPrintSCM - Print the lincode description structure for MCM
%
% Parameter:    lc     Line code structure to print
%
% Reference:
%    FSAN xDSL simulation tool manual
%% ===========================================================================

%% ===========================================================================
% Copyright (C) 1999 by Telia Research AB, Lulea, Sweden; All rights reserved. 
% Project       : FSAN duplex model
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: lcPrintSCM.m,v 1.3 2000/05/10 11:12:13 uvan Exp $
%% ===========================================================================
% Change History
%      1999-10-12 (ToNo) Created
%      2000-01-12 (DaB)  Modified
%      2000-04-04 (Dab)  added signal margin
%      2000-05-10 (UvAn) Removed print out of center and sample frequencies
%% ===========================================================================
fprintf('Line code name: %s\n',lc.name);

fprintf('SNR ref=%gdB, xtalk_margin=%gdB, signal_margin=%gdB, coding gain=%gdB, loss=%gdB, SNRmax=%gdB\n',...
lc.param.refSNR,...
lc.param.xtalk_margin,...
lc.param.signal_margin,...
lc.param.codingGain,...
lc.param.SNRloss,...
lc.param.SNRMax);

fprintf('Maximum Power=%g dBm \n',lc.param.Px);

% Param digital
fprintf('Efficiency Loss = %2.2f%%\n',...
lc.param.efficiencyLoss*100);

fprintf('Excess bandwidth (alpha) = %g, guard band = %g \n',...
lc.param.alpha,...
lc.param.guardBand);

fprintf('Constellation sizes between %d and %d\n',...
min(lc.param.constellation),max(lc.param.constellation));

fprintf('Required SNR = ');
fprintf('%3.1f, ',lc.param.reqSNR);
fprintf('\n');

