function lcPrintTheo(lc);
%% ===========================================================================
%lcPrintTheo - Print the lincode description structure for MCM
%
% Parameter:    lc     Line code structure to print
%
% Reference:
%    FSAN xDSL simulation tool manual
%% ===========================================================================

%% ===========================================================================
% Copyright (C) 1999 by Telia Research AB, Lulea, Sweden; All rights reserved. 
% Project       : FSAN duplex model
% Author(s)     : Tomas Nordstrom (Tomas.Nordstrom@FTW.at)
%               : Daniel Bengtsson (Daniel.J.Bengtsson@Telia.se)
%
% CVS:       $Id: lcPrintTheo.m,v 1.3 2000/05/10 09:34:56 uvan Exp $
%% ===========================================================================
% Change History
%      1999-10-12 (ToNo) Created
%      2000-01-12 (DaB)  Updated for new struct
%      2000-04-04 (Dab)  added signal margin
%      2000-04-04 (Dab)  Added
%      2000-05-10 (UvAn) Changed the calculation of Shannon gap
%% ===========================================================================
fprintf('Line code name: %s\n',lc.name);

% SNR stuff
ShannonGap = lc.param.refSNR+lc.param.SNRloss-lc.param.codingGain+lc.param.signal_margin;
fprintf('Shannon gap=%gdB, (the X-talk margin is %gdB) \n',ShannonGap,lc.param.xtalk_margin);

fprintf('SNR ref=%gdB, xtalk_margin=%gdB, signal_margin=%gdB coding gain=%gdB, loss=%gdB, SNRmax=%gdB\n',...
lc.param.refSNR,...
lc.param.xtalk_margin,...
lc.param.signal_margin,...
lc.param.codingGain,...
lc.param.SNRloss,...
lc.param.SNRMax);

fprintf('Maximum Power: %g dBm \n',lc.param.Px);
fprintf('Efficiency Loss=%2.2f%%\n',lc.param.efficiencyLoss*100);
